Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision b421b1a08ae7adfc77e2f7190153fd10bd1931b9)
+++ sansview/perspectives/fitting/fitpage.py	(revision eacf1d66e4db3f04ac6ac0ae602ba07dc1067946)
@@ -368,22 +368,14 @@
                         ix = 3
                         ctl2 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=wx.TE_PROCESS_ENTER)
-                        #ctl2.SetValue(str(format_number(fit_errs)))
+                  
                         self.sizer4_4.Add(ctl2, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                        #if fit_errs==None or not numpy.isfinite(fit_errs):
+                     
                         ctl2.Hide()
-                        #else:
-                        #    if not text2.IsShown():
-                        #        text2.Show(True)
-                        #    ctl2.Show(True)
-                        #Prepare add min and max in model.details.
-                        param_min, param_max= self.model.details[name1][1:]
+
                         ix = 4
                         ctl3 = BasicPage.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                        kill_focus_callback = self._on_paramRangeEnter,
                                                        set_focus_callback  = self._on_paramRangeEnter)
-                        if param_min ==None or not numpy.isfinite(param_min):
-                            ctl3.SetValue("")
-                        else:
-                            ctl3.SetValue(str(param_min))
+
                         self.sizer4_4.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                         ctl3.Hide()
@@ -394,8 +386,5 @@
                                                        set_focus_callback  = self._on_paramRangeEnter)
                         self.sizer4_4.Add(ctl4, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                        if param_max==None or not numpy.isfinite(param_max):
-                            ctl4.SetValue("")
-                        else:
-                            ctl4.SetValue(str(param_max))
+
                         ctl4.Hide()
                         
@@ -482,13 +471,9 @@
                         ctl2.Hide()
                             
-                        param_min, param_max= self.model.details[name1][1:]
                         ix = 4
                         ctl3 = BasicPage.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                        kill_focus_callback = self._onparamRangeEnter,
                                                        set_focus_callback  = self._onparamRangeEnter)
-                        if param_min ==None or not numpy.isfinite(param_min):
-                            ctl3.SetValue("")
-                        else:
-                            ctl3.SetValue(str(param_min))
+
                         self.sizer4_4.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
 
@@ -874,10 +859,9 @@
                     self.param_toFit[0][4].Refresh()
         else:
-            #i=0
+           
             if self.text2_3.IsShown():
                 self.text2_3.Hide()
-            #print "fittable",self.print "fittable",self.fittable_param[p_name]    
+            
             #Set the panel when fit result are list
-
             for item in self.param_toFit:               
                 ## reset error value to initial state
@@ -910,6 +894,5 @@
                             item[3].Hide()
                         if item[4].IsShown:
-                            item[4].Hide()           
-                        #k += 1   
+                            item[4].Hide()             
 
                     else:                        
@@ -921,6 +904,4 @@
                         has_error = True
                     
- 
-               # i+=1  
         #Show error title when any errors displayed
         if has_error: 
@@ -1137,5 +1118,4 @@
         for item in self.fittable_param:
             if item[0].GetValue():
-                #print item[0].GetValue()
                 if not (item in self.param_toFit):
                     self.param_toFit.append(item)  
@@ -1263,13 +1243,9 @@
                 ctl2.Hide()
                 
-                param_min, param_max= self.model.details[item][1:]
                 ix += 1
                 ctl3 = BasicPage.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                kill_focus_callback = self._on_paramRangeEnter,
                                                set_focus_callback  = self._on_paramRangeEnter)
-                if param_min ==None or not numpy.isfinite(param_min):
-                    ctl3.SetValue("")
-                else:
-                    ctl3.SetValue(str(param_min))
+     
                 sizer.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                 ctl3.Hide()
@@ -1280,8 +1256,5 @@
                                                set_focus_callback  = self._on_paramRangeEnter)
                 sizer.Add(ctl4, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                if param_max==None or not numpy.isfinite(param_max):
-                    ctl4.SetValue("")
-                else:
-                    ctl4.SetValue(str(param_max))
+      
                 ctl4.Hide()
                 
@@ -1372,13 +1345,10 @@
                         ctl2.Show(True)
                     
-                    param_min, param_max= self.model.details[item][1:]
+                    #param_min, param_max= self.model.details[item][1:]
                     ix += 1
                     ctl3 = BasicPage.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                    kill_focus_callback = self._onparamRangeEnter,
                                                    set_focus_callback  = self._onparamRangeEnter)
-                    if param_min ==None or not numpy.isfinite(param_min):
-                        ctl3.SetValue("")
-                    else:
-                        ctl3.SetValue(str(param_min))
+               
                     sizer.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     ctl3.Hide()
@@ -1394,8 +1364,5 @@
                                                    set_focus_callback  = self._onparamRangeEnter)
                     sizer.Add(ctl4, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                    if param_max ==None or not numpy.isfinite(param_max):
-                        ctl4.SetValue("")
-                    else:
-                        ctl4.SetValue(str(param_max))
+                   
                     ctl4.Hide()
                     if self.data.__class__.__name__ =="Data2D":
@@ -1504,11 +1471,7 @@
         self.page = FitPage(self, myinfo) 
         
-        
-        
         self.Centre()
         self.Show(True)
-
-
-   
+ 
 if __name__=="__main__":
     app = wx.App()
